# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
#import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "huawei"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.taobao.taobao"
# app的界面名字
desired_caps["appActivity"] = "com.taobao.tao.welcome.Welcome"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
# print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

#time.sleep(5)
#driver.quit()
