# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "127.0.0.1:62001"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.android.settings"
# app的界面名字
desired_caps["appActivity"] = ".Settings"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
# print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)
# el1 = driver.find_element(By.XPATH, '//*[@text="显示"]')
el1 = driver.find_element(By.XPATH,'//*[@test="显示"]')
el1.get_attribute("class")
# # - 获取元素的文本内容
# #   - text
# print(el1.text)
# # - 获取元素的属性值
# #   - get_attribute（"属性名字"）
# print(el1.get_attribute('class'))
# # - 获取元素的坐标
# #   - location
# print(el1.location)
# # - 获取元素的宽高（大小）
# #   - size
# print(el1.size)
# # - 对元素进行点击操作
# #   - click()
# el1.click()

# - 对元素进行输入操作
#   - send_keys("输入的内容")
driver.tap([(984, 56)], duration=100)
driver.find_element(By.ID, 'android:id/search_src_text').send_keys("安全")
driver.find_element(By.XPATH,'//*[@test="显示"]')
driver.find_element(By.CLASS_NAME,'android.widget.ImageView')

time.sleep(5)
driver.quit()
