import logging

import pytest
from pytest_xlsx.file import XlsxItem

from common.driver import get_app_driver
from common.ktd import KeyWord


def pytest_xlsx_run_step(item:XlsxItem):
    logging.warning("进入python_xlsx_run_step")
    driver = item.usefixtures["get_driver"]
    kw = KeyWord(driver)
    step = item.current_step
    key = step['标记']
    args = [step['内容'],step['列1'],step['列2'],step['列3']]

    if key == "tap":
        args[0] = eval(args[0])
        print("进入args[0]======================="+str(args[0]))
    if args[-1] is None:
        print("进入args[-1]==============")
        args.pop()

    logging.warning(f"关键字:{key},关键字实参内容:{args}")
    func = getattr(kw,key)
    func(*args)


@pytest.fixture(scope="session")
def get_driver():
    print("进入get_driver-------------------")
    driver_login = get_app_driver()
    yield driver_login
    #driver_login.install_app(r'D:\测试相关\脚本\ui自动化云测平台\凤凰新闻.apk')


# @pytest.fixture(scope="session")
# def go_login_kdt():
#     print("进入go_login_kdt")
#     driver_login = get_app_driver()
#     kw = KeyWord(driver_login)
#     kw.click('//*[@text="同意"]')
#     kw.click('//*[@text="知道了"]')
#     kw.click('//*[@text="允许"]')
#     kw.click('//*[@text="未登录"]')
#     kw.click('//*[@text="登录"]')
#     kw.click('//*[@text="账号密码登录"]')
#     kw.input('//*[@text="手机号/邮箱账号"]','13760437542')
#     kw.input('//*[@text="密码"]','woaita330808+')
#     kw.click('//*[@text="登 录"]')
#     kw.assert_text('com.ifeng.news2:id/txt_personal_page','个人主页')
#     yield kw
