# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "mjdqt8nvbmob9hsg"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.ifeng.news2"
# app的界面名字
desired_caps["appActivity"] = ".activity.IfengTabMainActivity"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
# print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

# - 安装应用
#   - install_app("app安装包的绝对路径")
driver.install_app(r'D:\测试相关\脚本\ui自动化云测平台\凤凰新闻.apk')
# - 卸载应用
#   - remove_app（"应用的包名"）
# driver.remove_app('io.manong.developerdaily')
# - 判断应用是否已经安装
#   - is_app_installed（"应用的包名"）
# print(driver.is_app_installed('io.manong.developerdaily'))
# if driver.is_app_installed('io.manong.developerdaily'):
#     driver.remove_app("io.manong.developerdaily")
#     print("app卸载完成")
# else:
#     driver.install_app(r'C:\Users\86188\Desktop\234期app自动化\day02\toutiao.apk')
#     print("app安装完成")
# - 获取当前操作的应用包名
#   - current_package
print(driver.current_package)
# - 获取当前操作的界面名字
#   - current_activity
print(driver.current_activity)
# - 获取当面界面的xml源码
#   - page_source
print(driver.page_source)

time.sleep(5)
driver.quit()
