# appium是由selenium团队二次打开的app自动化第三方库
# appium基于selenium
# app自动化测试跟web自动化唯一的区别
# app测试的是手机程序界面
# web测试的是网站的页面
import time

# 导包
from appium import webdriver
from selenium.webdriver.common.by import By

# 配置手机的连接参数信息
# 字典的数据类型，键值对

desired_caps = {}

# 设备的名字
desired_caps["deviceName"] = "127.0.0.1:62001"
# 系统的名字
desired_caps["platformName"] = "Android"
# app的名字
desired_caps["appPackage"] = "com.android.settings"
# app的界面名字
desired_caps["appActivity"] = ".Settings"
# desired_caps["appActivity"] = ".Settings$WifiSettingsActivity"
# 连接手机最基本的配置参数：设备，系统，app以及界面
# print(desired_caps)

# 发送链接请求，获取驱动对象
driver = webdriver.Remote('http://127.0.0.1:4723/wd/hub', desired_capabilities=desired_caps)

# 通过元素的相对位置进行滚动
# el1 = driver.find_element(By.XPATH, '//*[@text="应用"]')
# el2 = driver.find_element(By.XPATH, '//*[@text="蓝牙"]')
# # 进行滚动
# driver.scroll(el1, el2)
# driver.find_element(By.XPATH, '//*[@text="安全"]').click()

# 通过坐标进行开始和结束滚动

driver.swipe(144, 1759, 144, 943)
driver.find_element(By.XPATH, '//*[@text="安全"]').click()
time.sleep(5)
driver.quit()
